#include <libnd.h>

void
plugin_cb(LND_Plugin *plugin, void *user_data)
{
  printf("Name:    %s\n", libnd_plugin_get_name(plugin));
  printf("Version: %s\n", libnd_plugin_get_version(plugin));
  printf("Author:  %s\n\n", libnd_plugin_get_author(plugin));
}

void
proto_cb(LND_ProtoPlugin *plugin, void *user_data)
{
  printf("Name:    %s\n", libnd_proto_plugin_get_name(plugin));
  printf("Version: %s\n", libnd_proto_plugin_get_version(plugin));
  printf("Author:  %s\n\n", libnd_proto_plugin_get_author(plugin));
}

int
main(int argn, char **argv)
{
  libnd_init();

  printf("Installed plugins:\n"
	 "======================================================================\n");
  libnd_plugin_foreach(plugin_cb, NULL);

  printf("\nInstalled protocols:\n"
	 "======================================================================\n");
  libnd_proto_plugin_foreach(proto_cb, NULL);
  
  return 0;
}

        


